GNU bug report logs - #53238
password-store fails to build with tree version 2

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Olivier Dion <olivier.dion@HIDDEN>; Keywords: patch; merged with #53272, #53288; dated Thu, 13 Jan 2022 20:34:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 16 Jan 2022 18:06:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 16 13:06:27 2022
Received: from localhost ([127.0.0.1]:44214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n99v8-0006KA-Rk
	for submit <at> debbugs.gnu.org; Sun, 16 Jan 2022 13:06:27 -0500
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:37899)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1n99us-0006Ji-Kh
 for 53238 <at> debbugs.gnu.org; Sun, 16 Jan 2022 13:06:25 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 9723B3200C14;
 Sun, 16 Jan 2022 13:06:04 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sun, 16 Jan 2022 13:06:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-transfer-encoding:in-reply-to; s=mesmtp;
 bh=+C6l0t0/c0EuOaFaSpEI9n2BMf7SUFZK6ATTb+RwQcA=; b=B8xnQtmS2ZV3
 gircbevJPLLzGqy06WmT1V8WLmc/WrnFFmi03E85s6oqArE95wqqeLefR1a5aAdI
 6HYAvhQthIyRMQlJhRoj256xl0nTr4bWWRyd+NCNeRWSy7uTpKimaJF9LKqvSDXa
 bBoCiyOmHUtNs33E4C1YxpXZC922WiE=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; bh=+C6l0t0/c0EuOaFaSpEI9n2BMf7SUFZK6ATTb+RwQ
 cA=; b=AP4EOLPGo9oxKKt7J1q/qcDDGJxEX19MsSayNagqQ69G6/vTEFWT7Dk1f
 TJTNY6UITJlohmpqFSIq19MiEs1wtAemkDzSKofBSimqMP6xw4DPa9PrLZ4t1A57
 DImIgmQgAuKK92N8476ZJE/p5OkKk3yVidE08145iuLrvgwz/b/u/1AdaVV8/L+Q
 /jm238Lu+ndVXQ/hy9um2zC5z8nBeuFr4WuMY7Jpnm0simr4mUvYjWHFIAvI5JV1
 AYhLR+6MWC6qbwGiT0Rtql+eVbss9Qtzsl7hPeIhy7MVhxymGvk683naFnPRg7Q4
 o7wp/qON9oT2EXAW8BRnMIMH62Deg==
X-ME-Sender: <xms:i17kYX_prEec66b31fgw6EVK7GULj6LX5kj-PWNIn-jkcxo61L98MA>
 <xme:i17kYTuhcYmnNqicLOBBIIuiR4xCI2KZlaSh80jWZrPCPtWJnjv50XumfQ7wYRbU5
 Wvu4hllCu6su2PU1w>
X-ME-Received: <xmr:i17kYVAAAWBUcjGA4flCGZ70mfXUKkcAB1FA1-Shw2JKzgMyiLMjR9NjNpv7_17wYUQXzh8b8OYigHSf-hNW_laE7g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvvddrtdelgddutdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhepfffhvffukfhfgggtugfgjgesthhqredttddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepfeeitdfgieelveegvedtveektefggeffkeefgfefveffleehgfeifeeufffh
 jeelnecuffhomhgrihhnpeiigidvtgegrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:jF7kYTduWLX8ZaPwe6vfAFPl0WhanRL_N2QieGxWvSbB-uM_ap2-jA>
 <xmx:jF7kYcMbpDJikzFYwZ9Wyb3oo_pFTaIfB4DccygcoO3iIPMw5BDiJw>
 <xmx:jF7kYVmgezPx8lBdMdZAv3FSJId8VGH4DjXsUc7zRK8fSogYSQgyyQ>
 <xmx:jF7kYVa-X1EGaPdjjvOzNqD7YeJm0xESCKXFcwcng44VSRqZpdyoJA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sun,
 16 Jan 2022 13:06:03 -0500 (EST)
Date: Sun, 16 Jan 2022 13:06:01 -0500
From: Leo Famulari <leo@HIDDEN>
To: Marius Bakke <marius@HIDDEN>
Subject: Re: bug#53238: [PATCH] gnu: tree: Remove stddata feature.
Message-ID: <YeReiaoZyCY/Xny4@HIDDEN>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura>
 <87r19bxofo.fsf_-_@HIDDEN> <877daz8ve1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
In-Reply-To: <877daz8ve1.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: Olivier Dion <olivier.dion@HIDDEN>, 53238 <at> debbugs.gnu.org,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Jan 16, 2022 at 06:04:22PM +0100, Marius Bakke wrote:
> After some consideration (and emails with tree author), I think the best
> solution is to patch 'password-store' so that it DTRT even in the
> presence of fd 3.
>=20
> I sent a patch to that effect upstream:
>=20
>   https://lists.zx2c4.com/pipermail/password-store/2022-January/004563.ht=
ml
>=20
> ...and have local patches to apply that in Guix and revert
> bd4f314bbacaaa56751be3a4769f2082be747d24 and
> a40ac6271578ea061a8a07b2adbd6032a690ca70.
>=20
> WDYT?

Definitely, this is the right approach. I didn't participate in this
bugfix but I think that removing or adding features to packages is not
something we should be doing at the level of the distro, except with
upstream coordination. Reporting this issue to password-store should
have been one of the first steps we took.




Information forwarded to bug-guix@HIDDEN:
bug#53238; Package guix. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 16 Jan 2022 17:04:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 16 12:04:39 2022
Received: from localhost ([127.0.0.1]:44150 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n98xH-0002Yz-Du
	for submit <at> debbugs.gnu.org; Sun, 16 Jan 2022 12:04:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1n98xD-0002Yi-97
 for 53238 <at> debbugs.gnu.org; Sun, 16 Jan 2022 12:04:34 -0500
Received: from [2001:470:142:3::e] (port=50126 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1n98x7-0006go-6C; Sun, 16 Jan 2022 12:04:25 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:Date:References:In-Reply-To:Subject:To:
 From; bh=H4BF+36VdH1JD1r5Aqhvf7DytkqXZhhWr8CO8O7xZX8=; b=GjAiW49Y91MZko99QSAZ
 Vb03GueMjQlvEUgQJWXQ4T7Np5yMUYGw7NWFa1Gk9BvzkRJuDajx6NWuPtUd8xIFEVR/MPjbYhyVz
 MEY75cqQTeOgPJvKC8uc0ivsP0n0XtBmaYBnyAVdOkQBLMrvYomthNUjnVle8iKFtprH9YiviITcs
 RpJR90qc0O73ujGm9YWlGWz5ICzBQ9T0X7aVCoh9aZLonRJCLiSHKOeWgKjZiwXoFDgaIg399uU5L
 cqrnPfqzUwgfu+1A0gSlRrOtK7J8+5foZYyeKvYJrNsncn21RS84bQErCyy+nhZzVPSlk2OEJeky/
 1yN31FcNckjssg==;
Received: from host-37-191-236-102.lynet.no ([37.191.236.102]:57220
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <marius@HIDDEN>)
 id 1n98x7-0006iG-A0; Sun, 16 Jan 2022 12:04:25 -0500
From: Marius Bakke <marius@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, Olivier Dion
 <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
In-Reply-To: <87r19bxofo.fsf_-_@HIDDEN>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87r19bxofo.fsf_-_@HIDDEN>
Date: Sun, 16 Jan 2022 18:04:22 +0100
Message-ID: <877daz8ve1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53238
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 53238 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello!

Apologies for missing this discussion earlier...

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skriver:

> Hi,
>
> Olivier Dion <olivier.dion@HIDDEN> writes:
>
>> On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
>>> Olivier,
>>>
>>> Thanks again for tracking down this weird bug!
>>>
>>> Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>>>> This feature breaks some UNIX utilities.  Fix it by disabling=20
>>>> the feature.
>>>
>>> Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'=
d=20
>>> do so indefinitely.
>>
>> I've contacted the maintainer asking for removal of the feature in its
>> next release.  I'm not sure if this will have some impact.  Feel free to
>> do the same at <ice+tree@HIDDEN>, maybe adding more weight
>> in the balance would help.
>>
>>> How about creating a (possibly hidden) tree-without-stddata=20
>>> package variant, to use as input to packages who currently break=20
>>> with this feature enabled?  That lets us refcount the need for it.
>>
>> It's more than just packages, it's also user scripts that can be broken
>> and believe me when I say that this is not an easy bug to track down ;-).
>
> I'm on the fence about this, it does indeed seem an undesirable change,
> especially since there's a --json option, but I am not the author of the
> 'tree' software.

After some consideration (and emails with tree author), I think the best
solution is to patch 'password-store' so that it DTRT even in the
presence of fd 3.

I sent a patch to that effect upstream:

  https://lists.zx2c4.com/pipermail/password-store/2022-January/004563.html

...and have local patches to apply that in Guix and revert
bd4f314bbacaaa56751be3a4769f2082be747d24 and
a40ac6271578ea061a8a07b2adbd6032a690ca70.

WDYT?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEARYKAC0WIQRNTknu3zbaMQ2ddzTocYulkRQQdwUCYeRQFg8cbWFyaXVzQGdu
dS5vcmcACgkQ6HGLpZEUEHeJfgD+Okk6I9IHmRBtxcSgc1WNFLC0/Nwe2obqFYj+
A3fHQEkBALGIax0lOnjRXAtZkxx1B22uM9RXWwEE8w8pseblFqUC
=AHF+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#53238; Package guix. Full text available.
Merged 53238 53272 53288. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 15 Jan 2022 14:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 09:39:40 2022
Received: from localhost ([127.0.0.1]:39590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8kDU-00039h-FR
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:39:40 -0500
Received: from tobias.gr ([80.241.217.52]:34080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8kDQ-00039U-0A
 for 53238 <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:39:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=9F8HWunjWphgV
 jd/SDyPJXqRW+AENYWcEv9Sk9+ECmw=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=QDfSWmZGOhNGE5CVaAPK4wMRajYmIe7aqgjX34
 Au9NTXdfOYm6nlep0w6l1Oinh9xP0RikcEkclDUKydQBrdIUWD3Zkls+OJ4ZerUUeWK6Zp
 dYyAXbTjPV+jhv6GIQbuNH0iYwKzQnWLtnvpNTDHU2DA4mlHEFnDgE/SIYF+R8spODWx1S
 qn3LMOWof9sw9oAe/U3LG9ArVwe784HwbWk1FQGi5felEhP6stUfQNpOAfFsJt3GrDJjv/
 D+ilBo5ZaehvDi3i6LZtgXW9Fa1qothvsxre0UlZDf0qqACoEs5k/r8C2XW0V1iu/DEcGS
 LuF+lHUlBGGhDod/wOAf3XeA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 4bd074b2
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 15 Jan 2022 14:39:32 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Sat, 15 Jan 2022 15:37:04 +0100
In-reply-to: <87a6fzchid.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87pmotm58x.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier, Maxim(no -e, sorry! :-),

Going by the number of bug reports, password-store is more popular=20
than I thought.

Tobias Geerinckx-Rice =E5=86=99=E9=81=93=EF=BC=9A
> I was going to apply the patch below to fix the password-store
> package, but Maxime just submitted another version which I=20
> prefer. I'd
> rather not provide two trees in Guix.

I haven't changed my mind, but I did push the tree-1 solution as a=20
=E2=80=98temporary fix=E2=80=99 since it's the least invasive.

If Maxim's patch LGTeveryone, please go ahead and replace.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeLc7g0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15bEoA/1uf887e6ABjyEGXn4UJXWrZ/Ctd3VRr9c+oD6bO
8B2YAP4zyT/AWS8diYrwDVd8z4Amd/q537363cLTw59pe2qzBw==
=+VHt
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#53238; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jan 2022 14:39:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 09:39:43 2022
Received: from localhost ([127.0.0.1]:39592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8kDX-00039y-MS
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:39:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:38714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8kDU-00039g-2m
 for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 09:39:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45596)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8kDT-00025l-Mu
 for guix-patches@HIDDEN; Sat, 15 Jan 2022 09:39:39 -0500
Received: from [2a02:c205:2020:6054::1] (port=41440 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8kDR-0005UD-T8
 for guix-patches@HIDDEN; Sat, 15 Jan 2022 09:39:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=9F8HWunjWphgV
 jd/SDyPJXqRW+AENYWcEv9Sk9+ECmw=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=QDfSWmZGOhNGE5CVaAPK4wMRajYmIe7aqgjX34
 Au9NTXdfOYm6nlep0w6l1Oinh9xP0RikcEkclDUKydQBrdIUWD3Zkls+OJ4ZerUUeWK6Zp
 dYyAXbTjPV+jhv6GIQbuNH0iYwKzQnWLtnvpNTDHU2DA4mlHEFnDgE/SIYF+R8spODWx1S
 qn3LMOWof9sw9oAe/U3LG9ArVwe784HwbWk1FQGi5felEhP6stUfQNpOAfFsJt3GrDJjv/
 D+ilBo5ZaehvDi3i6LZtgXW9Fa1qothvsxre0UlZDf0qqACoEs5k/r8C2XW0V1iu/DEcGS
 LuF+lHUlBGGhDod/wOAf3XeA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 4bd074b2
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 15 Jan 2022 14:39:32 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Sat, 15 Jan 2022 15:37:04 +0100
In-reply-to: <87a6fzchid.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87pmotm58x.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier, Maxim(no -e, sorry! :-),

Going by the number of bug reports, password-store is more popular=20
than I thought.

Tobias Geerinckx-Rice =E5=86=99=E9=81=93=EF=BC=9A
> I was going to apply the patch below to fix the password-store
> package, but Maxime just submitted another version which I=20
> prefer. I'd
> rather not provide two trees in Guix.

I haven't changed my mind, but I did push the tree-1 solution as a=20
=E2=80=98temporary fix=E2=80=99 since it's the least invasive.

If Maxim's patch LGTeveryone, please go ahead and replace.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeLc7g0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15bEoA/1uf887e6ABjyEGXn4UJXWrZ/Ctd3VRr9c+oD6bO
8B2YAP4zyT/AWS8diYrwDVd8z4Amd/q537363cLTw59pe2qzBw==
=+VHt
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#53238; Package guix. Full text available.
Merged 53238 53272. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'password-store fails to build with tree version 2' from '[PATCH] gnu: tree: Remove stddata feature.' Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'guix-patches' to 'guix'. Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 14 Jan 2022 02:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 21:07:18 2022
Received: from localhost ([127.0.0.1]:34939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8Bzq-0007jO-Ku
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 21:07:18 -0500
Received: from tobias.gr ([80.241.217.52]:33916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8Bzn-0007jB-OQ
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 21:07:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=p6bxpIQsr92DI
 RAo1hNHcV/DkCaENVfOKpaPwzOyV44=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Tsztwq1YNA5iHcnSZELWOou5dyeHzilMsj0h9R
 jeO/kd+LBCOIn/9LAK5XTPe+mO42QEKqx7N+hyn82noAdNMlgHMRbxBk4TfsHGPORlHDcj
 twv5EaRzT0rXDWYtTGCk4vICp0FE4G0jobptspIMtGoCsIihVPf7ebQ9GnsDZ+Ly0kx2+l
 dg5z9Uu0U5ky1zRIMbGnIFIJYeinzjmh29aDDwO+O5CiIyeMehonXscN031MSvBpQPTc/e
 6iWkypqgy16FPiJPzs904AfjZujd65DepRUL57qbfz9EQs6PXP8ER7TOH5r4gnb3jHLUiI
 ZrmB8LGpnu442BG1s98Oj9eg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5a4c89dd
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 14 Jan 2022 02:07:11 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
 <87bl0fw076.fsf@laura>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Fri, 14 Jan 2022 03:05:29 +0100
In-reply-to: <87bl0fw076.fsf@laura>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <871r1bcbo8.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
> It's not like if
> `stddata` is some common knowledge outside of the PowerShell=20
> world.

FWIW I had never heard of it.  I'll admit it's not a good start in=20
life.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeDa5w0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15+9UA/0lq/rGykgkPZhHTZvysZeOMi8+Mf0qqZowIviRc
j1MWAQCTP8XYJhfBL53dJj7lUMMhNdo/thfJnVy2/BY2zhT1Aw==
=phbs
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2022 02:07:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 21:07:26 2022
Received: from localhost ([127.0.0.1]:34943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8Bzx-0007jm-Qq
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 21:07:25 -0500
Received: from lists.gnu.org ([209.51.188.17]:56958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8Bzw-0007jf-32
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 21:07:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44792)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8Bzv-00052I-VI
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 21:07:23 -0500
Received: from [2a02:c205:2020:6054::1] (port=41220 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8Bzp-0002Cs-Nh
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 21:07:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=p6bxpIQsr92DI
 RAo1hNHcV/DkCaENVfOKpaPwzOyV44=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Tsztwq1YNA5iHcnSZELWOou5dyeHzilMsj0h9R
 jeO/kd+LBCOIn/9LAK5XTPe+mO42QEKqx7N+hyn82noAdNMlgHMRbxBk4TfsHGPORlHDcj
 twv5EaRzT0rXDWYtTGCk4vICp0FE4G0jobptspIMtGoCsIihVPf7ebQ9GnsDZ+Ly0kx2+l
 dg5z9Uu0U5ky1zRIMbGnIFIJYeinzjmh29aDDwO+O5CiIyeMehonXscN031MSvBpQPTc/e
 6iWkypqgy16FPiJPzs904AfjZujd65DepRUL57qbfz9EQs6PXP8ER7TOH5r4gnb3jHLUiI
 ZrmB8LGpnu442BG1s98Oj9eg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5a4c89dd
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 14 Jan 2022 02:07:11 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
 <87bl0fw076.fsf@laura>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Fri, 14 Jan 2022 03:05:29 +0100
In-reply-to: <87bl0fw076.fsf@laura>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <871r1bcbo8.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
> It's not like if
> `stddata` is some common knowledge outside of the PowerShell=20
> world.

FWIW I had never heard of it.  I'll admit it's not a good start in=20
life.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeDa5w0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15+9UA/0lq/rGykgkPZhHTZvysZeOMi8+Mf0qqZowIviRc
j1MWAQCTP8XYJhfBL53dJj7lUMMhNdo/thfJnVy2/BY2zhT1Aw==
=phbs
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 14 Jan 2022 01:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 20:55:24 2022
Received: from localhost ([127.0.0.1]:34930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8BoK-0005AZ-5H
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 20:55:24 -0500
Received: from smtp.polymtl.ca ([132.207.4.11]:38304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1n8BoH-0005AF-31
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 20:55:22 -0500
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 20E1t9Ba025705
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 13 Jan 2022 20:55:14 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 20E1t9Ba025705
From: Olivier Dion <olivier.dion@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
In-Reply-To: <87a6fzchid.fsf@nckx>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
Date: Thu, 13 Jan 2022 20:55:09 -0500
Message-ID: <87bl0fw076.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Fri, 14 Jan 2022 01:55:09 +0000
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
> Hullo Olivier,
>
> I was going to apply the patch below to fix the password-store=20
> package, but Maxime just submitted another version which I prefer.=20
> I'd rather not provide two trees in Guix.

I'm fine with both solutions.  In the end, password-store is not broken,
only its test suite.

> Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
>> I've contacted the maintainer asking for removal of the feature in
>> its next release.
>
> After some consideration, I think it's an interesting feature.=20
> Something like this is long overdue.
>
> I don't know if this approach is the right one, but I'll=20
> begrudgingly settle for JSON if it finally catches on=E2=80=A6

Just to be clear that the JSON is still there with the switch -J.  I
just think that using some random file descriptor like this is a path to
break many tools.  Any program that open a file and try to do a popen(3)
with "tree" for its output will get bitten by it.  It's not like if
`stddata` is some common knowledge outside of the PowerShell world.

>> and believe me when I say that this is not an easy bug to track=20
>> down ;-).
>
> Fully agree!  I wasted too much time trying to track it down=20
> myself.  I blame password-store's spaghetto of redirection more=20
> than tree.

Happy to know I'm not the only one who spend way too much time on this ^^

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2022 01:55:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 20:55:38 2022
Received: from localhost ([127.0.0.1]:34933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8BoY-0005B4-Fi
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 20:55:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:51972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1n8BoV-0005At-HK
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 20:55:36 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42666)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n8BoU-0000SM-3C
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 20:55:35 -0500
Received: from smtp.polymtl.ca ([132.207.4.11]:43980)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n8BoL-0000U9-Po
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 20:55:31 -0500
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 20E1t9Ba025705
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 13 Jan 2022 20:55:14 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 20E1t9Ba025705
From: Olivier Dion <olivier.dion@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
In-Reply-To: <87a6fzchid.fsf@nckx>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura> <87a6fzchid.fsf@nckx>
Date: Thu, 13 Jan 2022 20:55:09 -0500
Message-ID: <87bl0fw076.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Fri, 14 Jan 2022 01:55:09 +0000
Received-SPF: pass client-ip=132.207.4.11;
 envelope-from=olivier.dion@HIDDEN; helo=smtp.polymtl.ca
X-Spam_score_int: -41
X-Spam_score: -4.2
X-Spam_bar: ----
X-Spam_report: (-4.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
> Hullo Olivier,
>
> I was going to apply the patch below to fix the password-store=20
> package, but Maxime just submitted another version which I prefer.=20
> I'd rather not provide two trees in Guix.

I'm fine with both solutions.  In the end, password-store is not broken,
only its test suite.

> Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
>> I've contacted the maintainer asking for removal of the feature in
>> its next release.
>
> After some consideration, I think it's an interesting feature.=20
> Something like this is long overdue.
>
> I don't know if this approach is the right one, but I'll=20
> begrudgingly settle for JSON if it finally catches on=E2=80=A6

Just to be clear that the JSON is still there with the switch -J.  I
just think that using some random file descriptor like this is a path to
break many tools.  Any program that open a file and try to do a popen(3)
with "tree" for its output will get bitten by it.  It's not like if
`stddata` is some common knowledge outside of the PowerShell world.

>> and believe me when I say that this is not an easy bug to track=20
>> down ;-).
>
> Fully agree!  I wasted too much time trying to track it down=20
> myself.  I blame password-store's spaghetto of redirection more=20
> than tree.

Happy to know I'm not the only one who spend way too much time on this ^^

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 14 Jan 2022 00:01:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 19:01:13 2022
Received: from localhost ([127.0.0.1]:34853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8A1o-0001oF-IZ
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 19:01:13 -0500
Received: from tobias.gr ([80.241.217.52]:33908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8A1j-0001o0-Nn
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 19:01:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=Tke8oaw5ZXSEe
 WExEDHf8BXVMUFNR6uQ9xDOFfR5pIg=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Nl4SFPApE/WAShhIlyZlX5Ned8F9AL3yJZeqzC
 cpSuyz4X4pB6ClR+2mLiLXEBDWOchHjsd9G2N9ts+UaPuWvleFFqD49qyk5XQoZ9G+nBY+
 05R5gIA+xHhGSmQcU3NqEhaCyRj7eMlW+YEpPlQtihIIzImk9FuwZdG1mQuOz8uqzEz27c
 P5cOzYs1zrN0+QEmDGcus2DggeCmU0nwYY9UB6qebnH48bEtt5l7uFELj2PzI1s5j3C719
 kNQ/rao4/1XTeAMLOE5LM/dFqbebwIwjsgjnRxT5zTJ1gOTQq6lf5vu4mQztsD8SR6Nfwl
 m/Fe5jeC+1T3Xiz7jJI62jPA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e86fcdbe
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 14 Jan 2022 00:01:03 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Thu, 13 Jan 2022 23:33:29 +0100
In-reply-to: <87ee5bwdzw.fsf@laura>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a6fzchid.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hullo Olivier,

I was going to apply the patch below to fix the password-store=20
package, but Maxime just submitted another version which I prefer.=20
I'd rather not provide two trees in Guix.

Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
> I've contacted the maintainer asking for removal of the feature=20
> in its
> next release.

After some consideration, I think it's an interesting feature.=20
Something like this is long overdue.

I don't know if this approach is the right one, but I'll=20
begrudgingly settle for JSON if it finally catches on=E2=80=A6

> It's more than just packages, it's also user scripts that can be=20
> broken

They can be fixed, or better yet rewritten.  tree(1) is not tr(1).=20
=E2=80=98Some lazy idiot could parse this with bash=E2=80=99 !=3D =E2=80=98=
frozen API which=20
upstream can never improve=E2=80=99.  Really.

=E2=80=A6uh, I'm describing myself there, by the way ;-)  I feel quite=20
seen.

Not that they needed to, but upstream even bumped the major=20
revision along with this change.

> and believe me when I say that this is not an easy bug to track=20
> down ;-).

Fully agree!  I wasted too much time trying to track it down=20
myself.  I blame password-store's spaghetto of redirection more=20
than tree.

Kind regards,

T G-R


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0004-gnu-password-store-Fix-failing-test-suite.patch
Content-Transfer-Encoding: quoted-printable

From=20e100fedb52df07738c2d535928c6c9f98042e07f Mon Sep 17 00:00:00 2001
From: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Thu, 13 Jan 2022 13:45:25 +0000
Subject: [PATCH 04/26] gnu: password-store: Fix failing test suite.

* gnu/packages/admin.scm (tree-1): New public variable.
* gnu/packages/password-utils.scm (password-store)[inputs]:
Use it rather than the default tree@2.

Reported by Maxim Cournoyer <maxim.cournoyer@HIDDEN> and
Olivier Dion <olivier.dion@HIDDEN>.
=2D--
 gnu/packages/admin.scm          | 20 ++++++++++++++++++++
 gnu/packages/password-utils.scm |  3 ++-
 2 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index f11374a439..c2e656db1a 100644
=2D-- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -2421,6 +2421,26 @@ (define-public tree
     (home-page "http://mama.indstate.edu/users/ice/tree/")
     (license license:gpl2+)))
=20
+(define-public tree-1
+  ;; tree 2.0.0 introduced a feature called =E2=80=98stddata=E2=80=99 that=
 emits JSON when
+  ;; output is directed to file descriptor 3.  At least password-store sti=
ll
+  ;; requires the old version.
+  (package
+    (inherit tree)
+    (version "1.8.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "http://mama.indstate.edu/users/ice/tree/src/tree-"
+                    version ".tgz"))
+              (sha256
+               (base32 "1hmpz6k0mr6salv0nprvm1g0rdjva1kx03bdf1scw8a38d5msp=
bi"))))
+    (arguments
+     (substitute-keyword-arguments (package-arguments tree)
+       ((#:make-flags flags '())
+        #~(append #$flags
+                  (list (string-append "prefix=3D" #$output))))))))
+
 (define-public lr
   (package
     (name "lr")
diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.=
scm
index 0ff8608c9c..86af0deb47 100644
=2D-- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -552,7 +552,8 @@ (define-public password-store
        ("gnupg" ,gnupg)
        ("qrencode" ,qrencode)
        ("sed" ,sed)
=2D       ("tree" ,tree)
+       ;; XXX v1.7.4 tests are broken with tree@2: <issues.guix.gnu.org/53=
238>.
+       ("tree" ,tree-1)
        ("which" ,which)
        ("wl-clipboard" ,wl-clipboard)
        ("xclip" ,xclip)
=2D-=20
2.34.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeC9Wg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15mZIBAMSOhfVhnZcXJiiLhaKMP8ZoKDViRaFPQdR7VmZV
+cgHAP9wwCSzoWCmEFZ6uTiGV9O3yAZz0IKShu35MYI1lHYqDA==
=rz+G
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2022 00:01:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 19:01:17 2022
Received: from localhost ([127.0.0.1]:34856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8A1t-0001oW-22
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 19:01:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:34286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n8A1p-0001oN-RO
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 19:01:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55490)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8A1p-0000U6-4D
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 19:01:13 -0500
Received: from [2a02:c205:2020:6054::1] (port=41204 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n8A1k-0001XB-Lz
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 19:01:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=Tke8oaw5ZXSEe
 WExEDHf8BXVMUFNR6uQ9xDOFfR5pIg=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Nl4SFPApE/WAShhIlyZlX5Ned8F9AL3yJZeqzC
 cpSuyz4X4pB6ClR+2mLiLXEBDWOchHjsd9G2N9ts+UaPuWvleFFqD49qyk5XQoZ9G+nBY+
 05R5gIA+xHhGSmQcU3NqEhaCyRj7eMlW+YEpPlQtihIIzImk9FuwZdG1mQuOz8uqzEz27c
 P5cOzYs1zrN0+QEmDGcus2DggeCmU0nwYY9UB6qebnH48bEtt5l7uFELj2PzI1s5j3C719
 kNQ/rao4/1XTeAMLOE5LM/dFqbebwIwjsgjnRxT5zTJ1gOTQq6lf5vu4mQztsD8SR6Nfwl
 m/Fe5jeC+1T3Xiz7jJI62jPA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e86fcdbe
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Fri, 14 Jan 2022 00:01:03 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Thu, 13 Jan 2022 23:33:29 +0100
In-reply-to: <87ee5bwdzw.fsf@laura>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a6fzchid.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 URI_DOTEDU=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hullo Olivier,

I was going to apply the patch below to fix the password-store=20
package, but Maxime just submitted another version which I prefer.=20
I'd rather not provide two trees in Guix.

Olivier Dion =E5=86=99=E9=81=93=EF=BC=9A
> I've contacted the maintainer asking for removal of the feature=20
> in its
> next release.

After some consideration, I think it's an interesting feature.=20
Something like this is long overdue.

I don't know if this approach is the right one, but I'll=20
begrudgingly settle for JSON if it finally catches on=E2=80=A6

> It's more than just packages, it's also user scripts that can be=20
> broken

They can be fixed, or better yet rewritten.  tree(1) is not tr(1).=20
=E2=80=98Some lazy idiot could parse this with bash=E2=80=99 !=3D =E2=80=98=
frozen API which=20
upstream can never improve=E2=80=99.  Really.

=E2=80=A6uh, I'm describing myself there, by the way ;-)  I feel quite=20
seen.

Not that they needed to, but upstream even bumped the major=20
revision along with this change.

> and believe me when I say that this is not an easy bug to track=20
> down ;-).

Fully agree!  I wasted too much time trying to track it down=20
myself.  I blame password-store's spaghetto of redirection more=20
than tree.

Kind regards,

T G-R


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0004-gnu-password-store-Fix-failing-test-suite.patch
Content-Transfer-Encoding: quoted-printable

From=20e100fedb52df07738c2d535928c6c9f98042e07f Mon Sep 17 00:00:00 2001
From: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Thu, 13 Jan 2022 13:45:25 +0000
Subject: [PATCH 04/26] gnu: password-store: Fix failing test suite.

* gnu/packages/admin.scm (tree-1): New public variable.
* gnu/packages/password-utils.scm (password-store)[inputs]:
Use it rather than the default tree@2.

Reported by Maxim Cournoyer <maxim.cournoyer@HIDDEN> and
Olivier Dion <olivier.dion@HIDDEN>.
=2D--
 gnu/packages/admin.scm          | 20 ++++++++++++++++++++
 gnu/packages/password-utils.scm |  3 ++-
 2 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index f11374a439..c2e656db1a 100644
=2D-- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -2421,6 +2421,26 @@ (define-public tree
     (home-page "http://mama.indstate.edu/users/ice/tree/")
     (license license:gpl2+)))
=20
+(define-public tree-1
+  ;; tree 2.0.0 introduced a feature called =E2=80=98stddata=E2=80=99 that=
 emits JSON when
+  ;; output is directed to file descriptor 3.  At least password-store sti=
ll
+  ;; requires the old version.
+  (package
+    (inherit tree)
+    (version "1.8.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "http://mama.indstate.edu/users/ice/tree/src/tree-"
+                    version ".tgz"))
+              (sha256
+               (base32 "1hmpz6k0mr6salv0nprvm1g0rdjva1kx03bdf1scw8a38d5msp=
bi"))))
+    (arguments
+     (substitute-keyword-arguments (package-arguments tree)
+       ((#:make-flags flags '())
+        #~(append #$flags
+                  (list (string-append "prefix=3D" #$output))))))))
+
 (define-public lr
   (package
     (name "lr")
diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.=
scm
index 0ff8608c9c..86af0deb47 100644
=2D-- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -552,7 +552,8 @@ (define-public password-store
        ("gnupg" ,gnupg)
        ("qrencode" ,qrencode)
        ("sed" ,sed)
=2D       ("tree" ,tree)
+       ;; XXX v1.7.4 tests are broken with tree@2: <issues.guix.gnu.org/53=
238>.
+       ("tree" ,tree-1)
        ("which" ,which)
        ("wl-clipboard" ,wl-clipboard)
        ("xclip" ,xclip)
=2D-=20
2.34.0


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeC9Wg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15mZIBAMSOhfVhnZcXJiiLhaKMP8ZoKDViRaFPQdR7VmZV
+cgHAP9wwCSzoWCmEFZ6uTiGV9O3yAZz0IKShu35MYI1lHYqDA==
=rz+G
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 13 Jan 2022 22:26:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 17:26:31 2022
Received: from localhost ([127.0.0.1]:34819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n88YB-0005DX-0g
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 17:26:31 -0500
Received: from mail-qv1-f42.google.com ([209.85.219.42]:37415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1n88Y6-0005DB-O3
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 17:26:29 -0500
Received: by mail-qv1-f42.google.com with SMTP id fo11so8379943qvb.4
 for <53238 <at> debbugs.gnu.org>; Thu, 13 Jan 2022 14:26:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+owQf6rbF8Em5c4wewuv8Ji1HUH7+LXzjgvlm51+Sb4=;
 b=GRiJavjYHJRGPIjwOgDz7IjzgO+yyfUiYxzjhi/R870EfCbdXvmzE6WiiyV+V/UrdZ
 Rd/DCA8Ed1xd/SIr1AJ38usPvMzt/Q7UbIurmFl2tqUB/mtuO8g53pMvk7KgBkqkCKYB
 0SmMytgv/dyR2Vj1QsdU7yaQDMr9xJexPP5GOv+tBaBVJQCvSnu1f2Zyho3PGr1QFSnT
 3drKtZhpiZBL009mX7uKFFXYCbi8stcwnbeaCIP+ljvoh9db3/qmT4QMqc91NrLXbRZk
 OiFRetWnpefSplZh1DRZwngr7rTCOaiH8kzZ0l3YZLRRYGGlZuh2bJsr60kb/yWeiLUT
 i2FA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=+owQf6rbF8Em5c4wewuv8Ji1HUH7+LXzjgvlm51+Sb4=;
 b=JiLsxWuRt07xVEdd20FXbfo+mPtfcHoybw0XjwhU6mF5RQdtmqR4lkAzV/911dU069
 i+3XVceHFsqdf3hrcam1xx6c6Mk8heiPSrO1MD0IoWePZi+VfG4JntNfqYytkzqOq88J
 48/hWtEbKZVAafOdFQ701S0Ub0gOm6zXAvwJ8URu2GG+mMx1ViegNv8Oli98e8vMy0cA
 9umxahUqM2uf8XwJYNRXKyhS1/v02n4slGgSr/gUV2MId8O1It1kraD8AQAEWRdn6RvU
 0FiaCYeztYccQj07tKl5XshU5BeWY/462KGJ0Yl0BIU+FkJ59gm6u8pxog8WNhT49zxJ
 WoIQ==
X-Gm-Message-State: AOAM530cnVZyUHoaGjf/r0Hk1dLluwpHMP2m+F+SlcF/KL47btyY6+yB
 bo3/TaCbRAoUG0wyjoM8dq1e0SAT4uL0ug==
X-Google-Smtp-Source: ABdhPJxzTwz3/u6EkMzr+LKZKlUIHuFkeEU2hX8llucfxarXN9BUiLO3P7sNVCTkgZyEE2Pqrl6Czg==
X-Received: by 2002:a05:6214:2686:: with SMTP id
 gm6mr6125706qvb.24.1642112780897; 
 Thu, 13 Jan 2022 14:26:20 -0800 (PST)
Received: from hurd (dsl-152-155.b2b2c.ca. [66.158.152.155])
 by smtp.gmail.com with ESMTPSA id x10sm2906586qtw.60.2022.01.13.14.26.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 Jan 2022 14:26:20 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: bug#53238: [PATCH] gnu: tree: Remove stddata feature.
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx> <87ee5bwdzw.fsf@laura>
Date: Thu, 13 Jan 2022 17:26:19 -0500
In-Reply-To: <87ee5bwdzw.fsf@laura> (Olivier Dion's message of "Thu, 13 Jan
 2022 15:57:07 -0500")
Message-ID: <87r19bxofo.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 53238 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Olivier Dion <olivier.dion@HIDDEN> writes:

> On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
>> Olivier,
>>
>> Thanks again for tracking down this weird bug!
>>
>> Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>>> This feature breaks some UNIX utilities.  Fix it by disabling=20
>>> the feature.
>>
>> Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'd=
=20
>> do so indefinitely.
>
> I've contacted the maintainer asking for removal of the feature in its
> next release.  I'm not sure if this will have some impact.  Feel free to
> do the same at <ice+tree@HIDDEN>, maybe adding more weight
> in the balance would help.
>
>> How about creating a (possibly hidden) tree-without-stddata=20
>> package variant, to use as input to packages who currently break=20
>> with this feature enabled?  That lets us refcount the need for it.
>
> It's more than just packages, it's also user scripts that can be broken
> and believe me when I say that this is not an easy bug to track down ;-).

I'm on the fence about this, it does indeed seem an undesirable change,
especially since there's a --json option, but I am not the author of the
'tree' software.

Attached is an alternative that adjusts password-store instead of
removing this new tree "feature"...


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-password-store-Fix-test-failure-following-tree-u.patch

From 2a30d95c46ff1eb0bdac9307c5d6bb8e460de02f Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Thu, 13 Jan 2022 15:09:54 -0500
Subject: [PATCH] gnu: password-store: Fix test failure following 'tree'
 update.

Thanks to Olivier Dion <olivier.dion@HIDDEN> for diagnosing the source of
the problem!

* gnu/packages/password-utils.scm (password-store): Delete trailing #t.
[phases]{adjust-for-tree-2}: New phase.
---
 gnu/packages/password-utils.scm | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/password-utils.scm b/gnu/packages/password-utils.scm
index 0ff8608c9c..16d889344b 100644
--- a/gnu/packages/password-utils.scm
+++ b/gnu/packages/password-utils.scm
@@ -487,6 +487,21 @@ (define-public password-store
     (arguments
      '(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'adjust-for-tree-2
+           (lambda _
+             ;; XXX: tree 2.0.1 has this new "stddata pipe" that is
+             ;; automatically used to output in JSON if the file descriptor 3
+             ;; is available.  This conflicts with the test harness use of
+             ;; file descriptor 3, causing one of the tests to fail.
+             ;; Increment the file descriptors used by the harness by one to
+             ;; avoid the conflict.
+             (substitute* "tests/sharness.sh"
+               (("exec 4>&2 3>&1")
+                "exec 5>&2 4>&1")
+               (("exec 4>/dev/null 3>/dev/null")
+                "exec 5>/dev/null 4>/dev/null")
+               (("&4") "&5")
+               (("&3") "&4"))))
          (delete 'configure)
          (delete 'build)
          (add-before 'install 'patch-system-extension-dir
@@ -500,8 +515,7 @@ (define-public password-store
                   (string-append " SYSTEM_EXTENSION_DIR=\""
                                  "${PASSWORD_STORE_SYSTEM_EXTENSION_DIR:-"
                                  extension-dir
-                                 "}\"\n"))))
-             #t))
+                                 "}\"\n"))))))
          (add-before 'install 'patch-passmenu-path
            ;; FIXME Wayland support requires ydotool and dmenu-wl packages
            ;; We are ignoring part of the script that gets executed if
@@ -530,8 +544,7 @@ (define-public password-store
                               '("coreutils" "getopt" "git" "gnupg" "qrencode"
                                 "sed" "tree" "which" "wl-clipboard" "xclip"))))
                (wrap-program (string-append out "/bin/pass")
-                 `("PATH" ":" prefix (,(string-join path ":"))))
-               #t))))
+                 `("PATH" ":" prefix (,(string-join path ":"))))))))
        #:make-flags (list "CC=gcc" (string-append "PREFIX=" %output)
                           "WITH_ALLCOMP=yes"
                           (string-append "BASHCOMPDIR="
-- 
2.34.0


--=-=-=
Content-Type: text/plain


Thanks,

Maxim

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 13 Jan 2022 20:57:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 15:57:23 2022
Received: from localhost ([127.0.0.1]:34723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n879v-0002XR-A7
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:57:23 -0500
Received: from smtp.polymtl.ca ([132.207.4.11]:40189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1n879r-0002X9-Hz
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:57:22 -0500
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 20DKv8j0021614
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 13 Jan 2022 15:57:12 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 20DKv8j0021614
From: Olivier Dion <olivier.dion@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
In-Reply-To: <87ee5bcqhy.fsf@nckx>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx>
Date: Thu, 13 Jan 2022 15:57:07 -0500
Message-ID: <87ee5bwdzw.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Thu, 13 Jan 2022 20:57:08 +0000
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
> Olivier,
>
> Thanks again for tracking down this weird bug!
>
> Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>> This feature breaks some UNIX utilities.  Fix it by disabling=20
>> the feature.
>
> Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'd=
=20
> do so indefinitely.

I've contacted the maintainer asking for removal of the feature in its
next release.  I'm not sure if this will have some impact.  Feel free to
do the same at <ice+tree@HIDDEN>, maybe adding more weight
in the balance would help.

> How about creating a (possibly hidden) tree-without-stddata=20
> package variant, to use as input to packages who currently break=20
> with this feature enabled?  That lets us refcount the need for it.

It's more than just packages, it's also user scripts that can be broken
and believe me when I say that this is not an easy bug to track down ;-).

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2022 20:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 15:57:27 2022
Received: from localhost ([127.0.0.1]:34726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n879z-0002Xl-IE
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:57:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:57588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1n879x-0002Xc-OF
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:57:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52612)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n879x-0008Pu-FS
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:57:25 -0500
Received: from smtp.polymtl.ca ([132.207.4.11]:42122)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n879v-00015n-6J
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:57:24 -0500
Received: from localhost (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94])
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 20DKv8j0021614
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Thu, 13 Jan 2022 15:57:12 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 20DKv8j0021614
From: Olivier Dion <olivier.dion@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
In-Reply-To: <87ee5bcqhy.fsf@nckx>
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
 <87ee5bcqhy.fsf@nckx>
Date: Thu, 13 Jan 2022 15:57:07 -0500
Message-ID: <87ee5bwdzw.fsf@laura>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Thu, 13 Jan 2022 20:57:08 +0000
Received-SPF: pass client-ip=132.207.4.11;
 envelope-from=olivier.dion@HIDDEN; helo=smtp.polymtl.ca
X-Spam_score_int: -41
X-Spam_score: -4.2
X-Spam_bar: ----
X-Spam_report: (-4.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Thu, 13 Jan 2022, Tobias Geerinckx-Rice <me@HIDDEN> wrote:
> Olivier,
>
> Thanks again for tracking down this weird bug!
>
> Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
>> This feature breaks some UNIX utilities.  Fix it by disabling=20
>> the feature.
>
> Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'd=
=20
> do so indefinitely.

I've contacted the maintainer asking for removal of the feature in its
next release.  I'm not sure if this will have some impact.  Feel free to
do the same at <ice+tree@HIDDEN>, maybe adding more weight
in the balance would help.

> How about creating a (possibly hidden) tree-without-stddata=20
> package variant, to use as input to packages who currently break=20
> with this feature enabled?  That lets us refcount the need for it.

It's more than just packages, it's also user scripts that can be broken
and believe me when I say that this is not an easy bug to track down ;-).

--=20
Olivier Dion
Polymtl




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2022 20:47:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 15:47:06 2022
Received: from localhost ([127.0.0.1]:34709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n86zx-0002DY-P7
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:47:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:41188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n86zu-0002DP-Ob
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:47:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50720)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n86zt-0003n9-4y
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:47:01 -0500
Received: from [2a02:c205:2020:6054::1] (port=41180 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1n86zr-00083Z-2a
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:47:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=GAjB+q+AWgG+r
 jSxoflTKcjUv+yBGmKeiYRiJidnN4c=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=pHCxa0nfveafu5gvvp2kFmMb/uVIN3NnPQw1B1
 INu6SCj16DpvjsmKlHTmz8lTosI9ze3L4QOQeEok0NtWT+ABhigZQamARUgtec7JN4L9B3
 5gwfdJv2tCpL1kVUKcFsFFsyJn6c5vnd5/t162UPw3H1rXiXzLKwjpyLRnrbaKbKR13s2A
 AM8TfL35HMolT928R4x+36yswUTvM0UgL3FKtaSXTTjz5tbuPnDNKREwQpE/BMy0gQt+w6
 sF8FsNgDmcr4GhGUZVtATfNwqkVsQu646VlMjX0WJFngRcoiJLcXRxjZwz+0xku/T2DBpk
 NyAaONlRCR31upGKzKrA0leA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id fedd90ed
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Thu, 13 Jan 2022 20:46:48 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Thu, 13 Jan 2022 21:44:31 +0100
In-reply-to: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87ee5bcqhy.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier,

Thanks again for tracking down this weird bug!

Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> This feature breaks some UNIX utilities.  Fix it by disabling=20
> the feature.

Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'd=20
do so indefinitely.

How about creating a (possibly hidden) tree-without-stddata=20
package variant, to use as input to packages who currently break=20
with this feature enabled?  That lets us refcount the need for it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeCP2Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15XQwA/imzo8+dkAo/YNPVnciTjEWoUaAbwmVpv071kZrU
7NpxAP918Nm095sz8+/N9WJCEpdKGhfo+4+hBf3+WvDcIAAwAw==
=SgBg
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at 53238 <at> debbugs.gnu.org:


Received: (at 53238) by debbugs.gnu.org; 13 Jan 2022 20:46:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 15:46:54 2022
Received: from localhost ([127.0.0.1]:34705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n86zm-0002Ch-Ik
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:46:54 -0500
Received: from tobias.gr ([80.241.217.52]:33898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1n86zk-0002CU-D6
 for 53238 <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:46:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=GAjB+q+AWgG+r
 jSxoflTKcjUv+yBGmKeiYRiJidnN4c=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=pHCxa0nfveafu5gvvp2kFmMb/uVIN3NnPQw1B1
 INu6SCj16DpvjsmKlHTmz8lTosI9ze3L4QOQeEok0NtWT+ABhigZQamARUgtec7JN4L9B3
 5gwfdJv2tCpL1kVUKcFsFFsyJn6c5vnd5/t162UPw3H1rXiXzLKwjpyLRnrbaKbKR13s2A
 AM8TfL35HMolT928R4x+36yswUTvM0UgL3FKtaSXTTjz5tbuPnDNKREwQpE/BMy0gQt+w6
 sF8FsNgDmcr4GhGUZVtATfNwqkVsQu646VlMjX0WJFngRcoiJLcXRxjZwz+0xku/T2DBpk
 NyAaONlRCR31upGKzKrA0leA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id fedd90ed
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Thu, 13 Jan 2022 20:46:48 +0000 (UTC)
References: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Olivier Dion <olivier.dion@HIDDEN>
Subject: Re: [bug#53238] [PATCH] gnu: tree: Remove stddata feature.
Date: Thu, 13 Jan 2022 21:44:31 +0100
In-reply-to: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87ee5bcqhy.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53238
Cc: 53238 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Olivier,

Thanks again for tracking down this weird bug!

Olivier Dion via Guix-patches via =E5=86=99=E9=81=93=EF=BC=9A
> This feature breaks some UNIX utilities.  Fix it by disabling=20
> the feature.

Hm=E2=80=A6  How long would we have to carry this fork?  My fear is we'd=20
do so indefinitely.

How about creating a (possibly hidden) tree-without-stddata=20
package variant, to use as input to packages who currently break=20
with this feature enabled?  That lets us refcount the need for it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYeCP2Q0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15XQwA/imzo8+dkAo/YNPVnciTjEWoUaAbwmVpv071kZrU
7NpxAP918Nm095sz8+/N9WJCEpdKGhfo+4+hBf3+WvDcIAAwAw==
=SgBg
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2022 20:33:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 15:33:42 2022
Received: from localhost ([127.0.0.1]:34686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n86n0-0001om-DB
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:33:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:52342)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.dion@HIDDEN>) id 1n86mv-0001oY-EX
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 15:33:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48218)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n86mu-0007zu-3g
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:33:37 -0500
Received: from smtp.polymtl.ca ([132.207.4.11]:42042)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <olivier.dion@HIDDEN>)
 id 1n86mq-00066q-Cw
 for guix-patches@HIDDEN; Thu, 13 Jan 2022 15:33:34 -0500
Received: from laura.hitronhub.home (modemcable094.169-200-24.mc.videotron.ca
 [24.200.169.94]) (authenticated bits=0)
 by smtp.polymtl.ca (8.14.7/8.14.7) with ESMTP id 20DKXMB9003161
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128 verify=NOT); 
 Thu, 13 Jan 2022 15:33:29 -0500
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.polymtl.ca 20DKXMB9003161
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=polymtl.ca;
 s=default; t=1642106010;
 bh=ASeLr+ajKDXr1obrM9FFYIcIvZ08oaYL6guaEJfOwug=;
 h=From:To:Cc:Subject:Date:From;
 b=GT2NKY9xWDJkkkg6IyBXAGYx/5IuKH0as/cWXFuTke4mJrOjl+2I7/S/u8nsPQPDg
 7rgwVSiAkirTyYfFShJtx/M8rsZv6WJqH+/T/FeZB7H0lJNe+EFFg+/Z5+/D44rZyU
 WY753mGP76jW5SWc5pcF0FF7DSLdSE+0IGCestfQ=
From: Olivier Dion <olivier.dion@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: tree: Remove stddata feature.
Date: Thu, 13 Jan 2022 15:33:21 -0500
Message-Id: <fee834af05b189e4efdf06977a2ccb8935aa1277.1642105304.git.olivier.dion@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Poly-FromMTA: (modemcable094.169-200-24.mc.videotron.ca [24.200.169.94]) at
 Thu, 13 Jan 2022 20:33:22 +0000
Received-SPF: pass client-ip=132.207.4.11;
 envelope-from=olivier.dion@HIDDEN; helo=smtp.polymtl.ca
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Olivier Dion <olivier.dion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/admin.scm (tree)
[arguments]: Add 'remove-stddata-feature phase after 'unpack phase.

Since version 2.0.0, there's a new feature call `stddata`.

From the ChangeLog:
--------------------------------------------------------------------------------
Output un-indented JSON on file descriptor 3 ("stddata") automatically if file
descriptor 3 is present (currently Linux only.) Maybe switch to BSON.
--------------------------------------------------------------------------------

This feature breaks some UNIX utilities.  Fix it by disabling the feature.
---
 gnu/packages/admin.scm | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index f11374a439..3d4909176a 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -2408,6 +2408,14 @@ (define-public tree
      (list
        #:phases
        #~(modify-phases %standard-phases
+           (add-after 'unpack 'remove-stddata-feature
+             (lambda _
+               (substitute* "tree.h"
+                 (("#  define STDDATA_FILENO 3")
+                  ""))
+               (substitute* "tree.c"
+                 (("#ifdef __linux__")
+                  "#ifdef STDDATA_FILENO"))))
            (delete 'configure))         ; No configure script.
        #:tests? #f                      ; No check target.
        #:make-flags
-- 
2.34.0





Acknowledgement sent to Olivier Dion <olivier.dion@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53238; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jan 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.